## org.eclipse.emf.compare.ui.viewer.structure
Class ModelStructureMergeViewerCreator

    java.lang.Object
      org.eclipse.emf.compare.ui.viewer.structure.ModelStructureMergeViewerCreator

All Implemented Interfaces:
  org.eclipse.compare.IViewerCreator

    public class ModelStructureMergeViewerCreator

extends java.lang.Object
implements org.eclipse.compare.IViewerCreator

Required when creating a `ModelStructureMergeViewer` from a plugin.xml file.

Constructor Summary
`ModelStructureMergeViewerCreator()`

Method Summary
`org.eclipse.jface.viewers.Viewer` `createViewer(org.eclipse.swt.widgets.Composite parent, org.eclipse.compare.CompareConfiguration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelStructureMergeViewerCreator

    public ModelStructureMergeViewerCreator()

Method Detail

### createViewer

    public org.eclipse.jface.viewers.Viewer createViewer(org.eclipse.swt.widgets.Composite parent,
                                                         org.eclipse.compare.CompareConfiguration config)

  Specified by:
    `createViewer` in interface `org.eclipse.compare.IViewerCreator`

Copyright 2006 IBM Corporation and others. All Rights Reserved.